# List all payment intents

List all payment intents associated with your Belvo account.

Endpoint: GET /payments/br/payment-intents/
Version: 1.223.0
Security: basicAuth

## Query parameters:

  - `page` (integer)
    A page number within the paginated result set.
    Example: 1

  - `page_size` (integer)
    Indicates how many results to return per page. By default we return 100 results per page.

ℹ️ The minimum number of results returned per page is 1 and the maximum is 1000. If you enter a value greater than 1000, our API will default to the maximum value (1000).
    Example: 100

  - `id__in` (array)
    Return information for these resource ids.
    Example: ["6b3dea0f-be29-49d1-aabe-1a6d588642e6"]

  - `amount` (number)
    Return results only for this value.
    Example: 1000.02

  - `amount__gt` (number)
    Return results only for more than this amount.
    Example: 1000.02

  - `amount__gte` (number)
    Return results only for and more than this amount.
    Example: 1000.02

  - `amount__lt` (number)
    Return results only for less than this amount.
    Example: 1000.02

  - `amount__lte` (number)
    Return results only for this amount or less.
    Example: 1000.02

  - `amount__range` (array)
    Return results between this amount range. The first value indicates the start of the range and the second value indicates the end of the range.
    Example: [100,5000]

  - `created_at` (string)
    Return items that were last updated in Belvo's database on this date (in YYYY-MM-DD format).
    Example: "2022-05-05"

  - `created_at__gt` (string)
    Return items that were last updated in Belvo's database after this date (in YYYY-MM-DD format).
    Example: "2022-05-05"

  - `created_at__gte` (string)
    Return items that were last updated in Belvo's database after or on this date (in YYYY-MM-DD format).
    Example: "2022-05-04"

  - `created_at__lt` (string)
    Return items that were last updated in Belvo's database before this date (in YYYY-MM-DD format).
    Example: "2022-04-01"

  - `created_at__lte` (string)
    Return items that were last updated in Belvo's database before or on this date (in YYYY-MM-DD format).
    Example: "2022-03-30"

  - `created_at__range` (array)
    Return accounts that were last updated in Belvo's database between two dates (in YYYY-MM-DD format). The first value indicates the start of the range and the second value indicates the end of the range.
    Example: ["2022-01-01","2022-12-31"]

  - `customer` (string)
    The customer.id you want to get results for.
    Example: "24e5b3a5-19aa-40fe-91e5-4db7f22ecc2d"

  - `customer__in` (array)
    One or more customer.ids that you want to get results for.
    Example: ["cb320adc-9a6b-4224-933a-5b08cf771ac7"]

  - `external_id` (string)
    Return objects with this external ID.
    Example: "295ebb46-65b8-47de-85cd-34ffbc327c09"

  - `external_id__in` (array)
    Return objects with these external IDs.
    Example: ["446bdd9f-5b3e-4c05-9159-7a5c87cfc810"]

  - `ordering` (string)
    Return results in a specified time order.

Can be either:
  - updated_at: returns payment intents from most recently updated to last (in ascending order).
  - -updated_at: returns payment intents from last updated to most recently updated (in descending order).
    Enum: "updated_at", "-updated_at"

  - `provider` (string)
    Return results only for this provider. At present, you can only be belvo.
    Enum: "belvo"

  - `payment_method_type` (string)
    Return results only for this payment method type. Can be either open_finance or open_finance_biometric_pix.
    Enum: "open_finance", "open_finance_biometric_pix"

  - `search` (string)
    Return results that match the description you searched for. 

Note:

This filter supports both full and partial search queries, with a minimum of three characters required.

For example, searching for trai may match the following values:

  - Awesome training sneakers 
  - Training equipment

Searching for car may match the following values:

        - Carlos Vives
        - Carmen Domínguez 
        - carlos.vives@musicabrazil.br
    Example: "trai"

  - `status` (string)
    Return results only for this value.
    Example: "SUCCEEDED"

  - `status__in` (array)
    Return payment intents one of these statuses.
    Example: ["PROCESSING"]

  - `updated_at` (string)
    Return items that were last updated in Belvo's database on this date (in YYYY-MM-DD format).
    Example: "2022-05-05"

  - `updated_at__gt` (string)
    Return items that were last updated in Belvo's database after this date (in YYYY-MM-DD format).
    Example: "2022-05-05"

  - `updated_at__gte` (string)
    Return items that were last updated in Belvo's database after or on this date (in YYYY-MM-DD format).
    Example: "2022-05-04"

  - `updated_at__lt` (string)
    Return items that were last updated in Belvo's database before this date (in YYYY-MM-DD format).
    Example: "2022-04-01"

  - `updated_at__lte` (string)
    Return items that were last updated in Belvo's database before or on this date (in YYYY-MM-DD format).
    Example: "2022-03-30"

  - `updated_at__range` (array)
    Return accounts that were last updated in Belvo's database between two dates (in YYYY-MM-DD format). The first value indicates the start of the range and the second value indicates the end of the range.
    Example: ["2022-01-01","2022-12-31"]

## Response 200 fields (application/json):

  - `count` (integer)
    The total number of results in your Belvo account.
    Example: 130

  - `next` (string,null)
    The URL to next page of results. Each page consists of up to 100 items. If there are not enough results for an additional page, the value is null.

In our documentation example, we use {endpoint} as a placeholder value. In production, this value will be replaced by the actual endpoint you are currently using (for example, accounts or owners).
    Example: "https://sandbox.belvo.com/api/{endpoint}/?link=1bd948f7-245d-4313-b604-34d1044cb908&page=2"

  - `previous` (string,null)
    The URL to the previous page of results. If there is no previous page, the
value is null.

  - `results` (array)
    Array of payment intent objects.

  - `results.id` (string, required)
    Belvo's unique identifier for the current item.
    Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"

  - `results.customer` (string, required)
    Belvo's unique ID for the customer related to this payment intent.
    Example: "1c83ead8-6665-429c-a17a-ddc76cb3a95e"

  - `results.external_id` (string)
    An additional unique identifier for the resource for internal purposes.

{% admonition type="success" name="Highly Recommended" %}
  We recommend using this field to store your own unique identifier for each resource (customer, bank account, payment intent, or enrollment). This can be useful for tracking the resource in your system and for debugging purposes.
{% /admonition %}
    Example: "4b8a81a0-e33c-45a6-8567-479efb105f73"

  - `results.created_at` (string, required)
    The ISO-8601 timestamp of when the data point was created in Belvo's database.
    Example: "2022-02-09T08:45:50.406032Z"

  - `results.created_by` (string, required)
    The unique ID for the user that created this item.
    Example: "bcef7f35-67f2-4b19-b009-cb38795faf09"

  - `results.updated_at` (string,null, required)
    The ISO-8601 timestamp of when the payment intent was last updated.
    Example: "2022-02-09T08:45:50.406032Z"

  - `results.status` (string, required)
    The current status of the payment intent.
    Enum: "REQUIRES_PAYMENT_METHOD", "REQUIRES_ACTION", "SUCCEEDED", "PROCESSING", "FAILED"

  - `results.amount` (string, required)
    Amount to be paid by your customer.
    Example: "1234.12"

  - `results.currency` (string, required)
    The currency of the amount paid, for example, BRL (Brazilian Real).
    Enum: "BRL"

  - `results.description` (string, required)
    The description of the payment.
    Example: "Training shoes"

  - `results.statement_description` (string)
    A description that will appear on the customer's bank statement (recommended).


> Note: If you do not use the statement_description parameter, the description value will be used as the statement description.
    Example: "Super Shoe Store - Brown Sneakers"

  - `results.selected_payment_method_type` (string, required)
    Selected payment method type. For 🇧🇷 Brazil's OFPI, can be either:

  - open_finance: For regular payments.
  - open_finance_biometric_pix: For biometric payments using the PIX network.
    Enum: "open_finance", "open_finance_biometric_pix"

  - `results.allowed_payment_method_types` (array, required)
    A list of payment method types allowed in this payment intent. For OFPI, the value will be open_finance.
    Example: ["open_finance"]

  - `results.payment_method_details` (any, required)
    Details about the OFPI payment method.

  - `results.payment_method_information` (object, required)
    Information about the payment method selected.

  - `results.payment_method_information.open_finance` (object)
    Payment method type selected.

  - `results.payment_method_information.open_finance.provider_request_id` (string,null)
    Unique ID for the payment, as sent by the provider.
    Example: "978c0c97ea847e78e8849634473c1f1"

  - `results.payment_method_information.open_finance.redirect_url` (string,null)
    The URL that redirects the user to their institution's website to authorize the payment.
    Example: "https://wakandanational.com/"

  - `results.payment_method_information.open_finance.end_to_end_id` (string,null)
    A unique ID for the transaction in the Brazil's PIX payment system.
    Example: "F203262942022211117487a213b1d140"

  - `results.payment_method_information.open_finance.settlement_date` (string)
    The settlement_date field indicates the date on which a scheduled payment (charge) is planned to be settled. This field is relevant in various states of the charge's lifecycle:

  - Scheduled Charges: When a charge has the status SCHEDULED, this field represents the planned settlement date.
  - Completed Charges: When a charge has the status SUCCEEDED, this field reflects the date that the payment was made.
  - Failed or Canceled Charges: When a charge has the status CANCELED or FAILED, this field will still contain the originally calculated settlement date, indicating when the charge was intended to be settled.


> Note: The settlement_date does not change based on the success or failure of the charge. It consistently reflects the original planned settlement date.
    Example: "2024-10-22"

  - `results.failure_code` (string,null, required)
    Error code that explains the reason behind a payment being unsuccessful (if applicable).

  - `results.failure_message` (string,null, required)
    Further information regarding the failure_code.

  - `results.metadata` (object)
    Optional and customizable object where you can provide any additional key-value pairs for your internal purposes. For example, an internal reference number.


⚠️ Note: You can only provide up to 50 keys (keys can have up to 50 characters each and each value can be up to 500 characters). We do not support nested objects, only ASCII values.
    Example: {"internal_reference_id":"GGq73487w2"}

  - `results.charges` (array)
    An array of charge objects related to this payment intent. If no charges are associated, we return an empty array.

  - `results.charges.id` (string, required)
    Belvo's unique identifier for the current item.
    Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"

  - `results.charges.created_at` (string, required)
    The ISO-8601 timestamp of when the data point was created in Belvo's database.
    Example: "2022-02-09T08:45:50.406032Z"

  - `results.charges.updated_at` (string,null, required)
    The ISO-8601 timestamp of when the status of the charge was last updated.
    Example: "2022-02-09T08:45:50.406032Z"

  - `results.charges.created_by` (string)
    The unique ID for the user that created this item.
    Example: "bcef7f35-67f2-4b19-b009-cb38795faf09"

  - `results.charges.customer` (string)
    Belvo's unique ID for the customer that the charge was created for.
    Example: "531aa631-70a0-4eeb-ab97-51dea3e90c89"

  - `results.charges.payment_intent` (string)
    The payment_intent.id associated with this charge.
    Example: "50c04229-7b1d-4a53-951c-8ad53e10c6ca"

  - `results.charges.status` (string, required)
    The current status of the charge. Can be one of the following values:

  - CANCELED
  - PENDING
  - SCHEDULED
  - SUCCEEDED
  - FAILED
  - PARTIAL
    Enum: "CANCELED", "PENDING", "SCHEDULED", "SUCCEEDED", "FAILED", "PARTIAL"

  - `results.charges.amount` (string,null, required)
    The amount of the charge.
    Example: "100.12"

  - `results.charges.currency` (string)
    The currency of the amount paid. For 🇧🇷 Brazil, the value must be BRL (Brazilian Real).
    Enum: "BRL"

  - `results.charges.description` (string)
    The description of the payment.
    Example: "Training shoes"

  - `results.charges.statement_description` (string)
    The description that will appear on the customer's bank statement (if provided).
    Example: "Super Shoe Store - Brown Sneakers"

  - `results.charges.beneficiary` (string, required)
    Belvo's unique ID used to identify the beneficiary’s bank account.
    Example: "58524ccc-89ac-4ab6-b62b-c3da3f19a722"

  - `results.charges.payment_method_type` (string)
    Selected payment method type. For 🇧🇷 Brazil's OFPI, the value must be open_finance.
    Enum: "open_finance"

  - `results.charges.payment_method_details` (object, required)
    Details about the payment method.

  - `results.charges.payment_method_details.open_finance` (object)
    Information about the payer of a OFPI payment.

  - `results.charges.payment_method_details.open_finance.schedule` (object,null)
    Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.

  - `results.charges.payment_method_details.open_finance.payer_institution` (string)
    Unique identifier for the payer's institution.
    Example: "db201c6a-e0ee-4caa-92d6-72b480d6d86f"

  - `results.charges.payment_method_details.open_finance.beneficiary_bank_account` (string)
    Belvo's unique ID used to identify the beneficiary's bank account.
    Example: "a80d5a9d-20ae-479a-8dd7-ff3443bcbbfc"

  - `results.charges.payment_method_information` (object, required)
    Information about the payment method selected.

  - `results.charges.payment_method_information.open_finance` (object)
    Payment method type selected.

  - `results.charges.payment_method_information.open_finance.provider_request_id` (string,null)
    Unique ID for the payment, as sent by the provider.
    Example: "978c0c97ea847e78e8849634473c1f1"

  - `results.charges.payment_method_information.open_finance.redirect_url` (string,null)
    The URL that redirects the user to their institution's website to authorize the payment.
    Example: "https://wakandanational.com/"

  - `results.charges.payment_method_information.open_finance.end_to_end_id` (string,null)
    A unique ID for the transaction in the Brazil's PIX payment system.
    Example: "F203262942022211117487a213b1d140"

  - `results.charges.payment_method_information.open_finance.settlement_date` (string)
    The settlement_date field indicates the date on which a scheduled payment (charge) is planned to be settled. This field is relevant in various states of the charge's lifecycle:

  - Scheduled Charges: When a charge has the status SCHEDULED, this field represents the planned settlement date.
  - Completed Charges: When a charge has the status SUCCEEDED, this field reflects the date that the payment was made.
  - Failed or Canceled Charges: When a charge has the status CANCELED or FAILED, this field will still contain the originally calculated settlement date, indicating when the charge was intended to be settled.


> Note: The settlement_date does not change based on the success or failure of the charge. It consistently reflects the original planned settlement date.
    Example: "2024-10-22"

  - `results.charges.payer_information` (object)
    Information about the payer's bank account.

> Note: This object is only returned when the charge status is SUCCEEDED.

  - `results.charges.payer_information.bank_account` (object)
    Information about the payer's bank account.

  - `results.charges.payer_information.bank_account.type` (string)
    The type of the payer's bank account. Can be either CHECKINGS, SAVINGS, or PAYMENTS.
    Example: "CHECKINGS"

  - `results.charges.payer_information.bank_account.agency` (string)
    The agency number of the payer's bank account.
    Example: "1234"

  - `results.charges.payer_information.bank_account.number` (string)
    The account number of the payer's bank account.
    Example: "123456789"

  - `results.charges.payer_information.bank_account.institution_id` (string)
    The Belvo institution ID of the payer's bank account.
    Example: "528228e2-d40d-4cec-948d-ec5edd7d081c"

  - `results.charges.transactions` (array)
    An array of Transaction objects relating to the charge.

  - `results.charges.transactions.id` (string, required)
    Belvo's unique identifier for the current item.
    Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"

  - `results.charges.transactions.created_at` (string, required)
    The ISO-8601 timestamp of when the data point was created in Belvo's database.
    Example: "2022-02-09T08:45:50.406032Z"

  - `results.charges.transactions.created_by` (string, required)
    The unique ID for the user that created this item.
    Example: "bcef7f35-67f2-4b19-b009-cb38795faf09"

  - `results.charges.transactions.amount` (string, required)
    The transaction amount.


Note: The amount displayed is always positive as we indicate the direction of the transaction in transaction_type parameter.
    Example: "1020.00"

  - `results.charges.transactions.currency` (string, required)
    The currency of the amount paid, for example, BRL (Brazilian Real).
    Enum: "BRL"

  - `results.charges.transactions.description` (string, required)
    The description of the payment.
    Example: "Training shoes"

  - `results.charges.transactions.transaction_type` (string, required)
    The direction of the transaction.

  - INFLOW indicates money coming into the account.
  - OUTFLOW indicates money coming out of the account.
    Enum: "INFLOW", "OUTFLOW"

  - `results.charges.transactions.beneficiary` (string, required)
    Belvo's unique ID used to identify the beneficiary's bank account.
    Example: "a80d5a9d-20ae-479a-8dd7-ff3443bcbbfc"

  - `results.charges.transactions.payer` (any, required)
    Note: For OFPI, this will return an empty object {}.

  - `results.charges.transactions.payment_intent` (string)
    The unique ID of the payment intent associated with the transaction.
    Example: "004a28bb-fac2-4172-884b-5b6ea15314ad"

  - `results.charges.transactions.customer` (string)
    Belvo's unique ID for the customer asscociated with this transaction.
    Example: "9eebd63b-3339-44a9-8a5a-72bb6cb2f310"

  - `results.charges.failure_code` (string,null, required)
    Error code that explains the reason behind a payment being unsuccessful (if applicable).

  - `results.charges.failure_message` (string,null, required)
    Further information regarding the failure_code.

  - `results.charges.metadata` (object, required)
    Optional and customizable object where you can provide any additional key-value pairs for your internal purposes. For example, an internal reference number.


⚠️ Note: You can only provide up to 50 keys (keys can have up to 50 characters each and each value can be up to 500 characters). We do not support nested objects, only ASCII values.
    Example: {"internal_reference_id":"GGq73487w2"}

  - `results.charges.provider` (string, required)
    Note: This field has been deprecated and will be removed from the API in the future.

The provider used for the payment link.
    Enum: "belvo"

  - `results.provider` (string, required)
    Note: This field has been deprecated and will be removed from the API in the future.

The provider used for the payment link.
    Enum: "belvo"

  - `results.last_error` (any, required)
    Note: This field has been deprecated and will be removed from the API in the future.

Information about the error you ran into in the previous step of the payment intent, if applicable. This error can occur when something unexpected happened during the payment intent process.

  - `results.next_step` (any, required)
    Note: This field has been deprecated and will be removed from the API in the future.

Object detailing the next steps you should follow for a specific next_step type.

## Response 403 fields (application/json):

  - `code` (string)
    A unique error code (access_to_resource_denied) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 403 access_to_resource_denied.
    Example: "access_to_resource_denied"

  - `message` (string)
    A short description of the error. 


For access_to_resource_denied errors, the description is:
  
  - You don't have access to this resource..
    Example: "You don't have access to this resource."

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 404 fields (application/json):

  - `code` (string)
    A unique error code (not_found) that allows you to classify and handle the error programmatically.
    Example: "not_found"

  - `message` (string)
    A short description of the error.


For not_found errors, the description is:

  - Not found
    Example: "Not found"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 408 fields (application/json):

  - `code` (string)
    A unique error code (request_timeout) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 408 request_timeout errors.
    Example: "request_timeout"

  - `message` (string)
    A short description of the error. 


For request_timeout errors, the description is:
  
  - The request timed out, you can retry asking for less data by changing your query parameters.
    Example: "The request timed out, you can retry asking for less data by changing your query parameters"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 500 fields (application/json):

  - `code` (string)
    A unique error code (unexpected_error) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 500 unexpected_error errors.
    Example: "unexpected_error"

  - `message` (string)
    A short description of the error. 


For unexpected_error errors, the description is:
  
  - Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution.
    Example: "Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"


